MantisBT
Mantis Bug Tracker Workflow

View Revisions: Issue #22306 All Revisions ] Back to Issue ]
Summary 0022306: Fuse between cylinder and sphere produces not vallid result
Revision 2011-07-29 13:53 by bugmaster
Description Fuse (cut & common too)operation produces not valid result:
bop cyl sph
bopfuse r
Draw[25]> checkshape r
On Shape faulty_1 :
BRepCheck_UnorientableShape
Shape faulty_2 on shape faulty_1 :
BRepCheck_InvalidCurveOnSurface
BRepCheck_InvalidSameParameterFlag
On Shape faulty_3 :
BRepCheck_SelfIntersectingWire
On Shape faulty_4 :
BRepCheck_UnorientableShape
Shape faulty_3 on shape faulty_4 :
BRepCheck_SelfIntersectingWire
Shape faulty_5 on shape faulty_4 :
BRepCheck_InvalidCurveOnSurface
BRepCheck_InvalidSameParameterFlag
Shape faulty_2 on shape faulty_4 :
BRepCheck_InvalidCurveOnSurface
BRepCheck_InvalidSameParameterFlag

Faulty shapes in variables faulty_1 to faulty_5

================================
the referenced message is below.
post 20021
--------------
this is my code:
I get a result FusedShape,but this shape is error,anybody help me,please...
//////////////////////////////////////////////////////////////////////
gp_Circ c = gp_Circ(gp_Ax2(gp_Pnt(0,0,0), gp_Dir(0,0,1)), 5);
TopoDS_Edge Ec = BRepBuilderAPI_MakeEdge(c);
TopoDS_Wire w = BRepBuilderAPI_MakeWire(Ec);
BRepBuilderAPI_MakeFace mkf(w);
TopoDS_Face f = mkf.Face();

TopoDS_Shape theShp1 = BRepPrimAPI_MakePrism(f, gp_Vec(0,0,10));//cylinder

TopoDS_Shape theShp2 = BRepPrimAPI_MakeSphere(gp_Pnt(5,0,10), 5);//Sphere

TopoDS_Shape FusedShape = BRepAlgoAPI_Fuse(theShp1,theShp2);
//////////////////////////////////////////////////////////////////////
Revision 2011-07-29 13:52 by bugmaster
Description Fuse (cut & common too)operation produces not valid result:
bop cyl sph
bopfuse r
Draw[25]> checkshape r
On Shape faulty_1 :
BRepCheck_UnorientableShape
Shape faulty_2 on shape faulty_1 :
BRepCheck_InvalidCurveOnSurface
BRepCheck_InvalidSameParameterFlag
On Shape faulty_3 :
BRepCheck_SelfIntersectingWire
On Shape faulty_4 :
BRepCheck_UnorientableShape
Shape faulty_3 on shape faulty_4 :
BRepCheck_SelfIntersectingWire
Shape faulty_5 on shape faulty_4 :
BRepCheck_InvalidCurveOnSurface
BRepCheck_InvalidSameParameterFlag
Shape faulty_2 on shape faulty_4 :
BRepCheck_InvalidCurveOnSurface
BRepCheck_InvalidSameParameterFlag

Faulty shapes in variables faulty_1 to faulty_5

================================
the referenced message is below.
post 20021
--------------
this is my code:
I get a result FusedShape,but this shape is error,anybody help me,please...
//////////////////////////////////////////////////////////////////////
gp_Circ c = gp_Circ(gp_Ax2(gp_Pnt(0,0,0), gp_Dir(0,0,1)), 5);
TopoDS_Edge Ec = BRepBuilderAPI_MakeEdge(c);
TopoDS_Wire w = BRepBuilderAPI_MakeWire(Ec);
BRepBuilderAPI_MakeFace mkf(w);
TopoDS_Face f = mkf.Face();

TopoDS_Shape theShp1 = BRepPrimAPI_MakePrism(f, gp_Vec(0,0,10));//cylinder

TopoDS_Shape theShp2 = BRepPrimAPI_MakeSphere(gp_Pnt(5,0,10), 5);//Sphere

TopoDS_Shape FusedShape = BRepAlgoAPI_Fuse(theShp1,theShp2);
//////////////////////////////////////////////////////////////////////


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker